rosbag2_bagfile_information:
  version: 7
  storage_identifier: mcap
  duration:
    nanoseconds: 832067950000
  starting_time:
    nanoseconds_since_epoch: 1538257000
  message_count: 1892625
  topics_with_message_count:
    - topic_metadata:
        name: /VN100T/temp
        type: sensor_msgs/msg/Temperature
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 332827
    - topic_metadata:
        name: /VN100T/imu
        type: sensor_msgs/msg/Imu
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 332827
    - topic_metadata:
        name: /VN100T/mag
        type: sensor_msgs/msg/MagneticField
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 332827
    - topic_metadata:
        name: /sf000/range
        type: sensor_msgs/msg/Range
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 51952
    - topic_metadata:
        name: /VN100T/pres
        type: sensor_msgs/msg/FluidPressure
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 332827
    - topic_metadata:
        name: /event_camera/trigger
        type: std_msgs/msg/Header
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 41601
    - topic_metadata:
        name: /ublox/fix
        type: sensor_msgs/msg/NavSatFix
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 4160
    - topic_metadata:
        name: /event_camera/events
        type: event_camera_msgs/msg/EventPacket
        serialization_format: cdr
        offered_qos_profiles: "- history: 3\n  depth: 0\n  reliability: 2\n  durability: 2\n  deadline:\n    sec: 9223372036\n    nsec: 854775807\n  lifespan:\n    sec: 9223372036\n    nsec: 854775807\n  liveliness: 1\n  liveliness_lease_duration:\n    sec: 9223372036\n    nsec: 854775807\n  avoid_ros_namespace_conventions: false"
        type_description_hash: RIHS01_d6fa176260b1f37e5a40845305315e150a0f18191241eb64f407442aa29844aa
      message_count: 380398
    - topic_metadata:
        name: /flir/meta
        type: flir_camera_msgs/msg/ImageMetaData
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 41603
    - topic_metadata:
        name: /flir/image_raw/compressed
        type: sensor_msgs/msg/CompressedImage
        serialization_format: cdr
        offered_qos_profiles: ""
        type_description_hash: ""
      message_count: 41603
  compression_format: ""
  compression_mode: ""
  relative_file_paths:
    - synchronized_0.mcap
  files:
    - path: synchronized_0.mcap
      starting_time:
        nanoseconds_since_epoch: 1538257000
      duration:
        nanoseconds: 832067950000
      message_count: 1892625
  custom_data: ~